#!/usr/bin/env python
# -*- mode: python; coding: koi8-r; -*-

import gtk
from gtk import gdk
from config import parse_options, parse_filetypes
from recreatedb import recreatedb
from mainwindow import PyBookReader
import locale

def main():
    recreatedb()

    parse_options()
    parse_filetypes()

    locale.setlocale(locale.LC_ALL, '')

    br = PyBookReader()
    br.set_current_book()
    gdk.threads_init()
    gtk.main()

